Pular para o conteúdo principal
PUT
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
/
{functionId}
Atualizar uma função para uma definição
curl --request PUT \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}/{functionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/plain' \
  --data '<string>'
{
  "functionType": "POST_ACTION_EXECUTION",
  "id": "<string>"
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório
definitionId
string
obrigatório
functionId
string
obrigatório
functionType
enum<string>
obrigatório
Opções disponíveis:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Corpo

text/plain

The body is of type string.

Resposta

successful operation

functionType
enum<string>
obrigatório

O tipo de função. Os valores aceitos são: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Opções disponíveis:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

O identificador exclusivo da função.

Last modified on April 13, 2026